> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents



## OpenAPI

````yaml api-reference/openapi-utilities.json GET /document
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Utilities
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /document:
    get:
      tags:
        - Document
      summary: List Documents
      parameters:
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - bankdata: {}
                        created_at: '2021-03-25T21:31:50Z'
                        fields:
                          date_of_birth: '1980-03-15'
                        file_id: file_567890
                        id: doc_123456
                        name: California Drivers License
                        type: drivers_license
                        updated_at: '2021-03-25T21:31:50Z'
                        userdata: {}
              schema:
                properties:
                  data:
                    items:
                      properties:
                        bank_id:
                          description: ID of the bank with which the object is associated
                          type: string
                        bankdata:
                          description: >-
                            Optional arbitrary data the bank can attach to the
                            object
                          type: object
                        description:
                          deprecated: true
                          description: Description (deprecated)
                          type: string
                        fields:
                          description: Object representing the data encoded in the Document
                          type: object
                        file_id:
                          description: The unique ID for an attached File
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        name:
                          description: A descriptive name for the document
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated
                          type: string
                        type:
                          description: >-
                            One of: `drivers_license`, `military_id`,
                            `passport`, `state_id`, `other`
                          type: string
                        userdata:
                          description: >-
                            Optional arbitrary data the user can attach to the
                            object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` document elements, starting after the document described
            by `page_cursor`. If no more documents are available, the resulting
            list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````